import React from 'react';
import { ActivityIndicator, StyleSheet } from 'react-native';
import { ThemedView } from '@/src/components/themed/ThemedView';
import { ThemedText } from '@/src/components/themed/ThemedText';
import { Colors } from '@/src/constants/Colors';

interface LoadingScreenProps {
    message?: string;
}

const LoadingScreen: React.FC<LoadingScreenProps> = ({ message = 'Loading...' }) => {
    return (
        <ThemedView style={styles.container}>
            <ActivityIndicator size="large" color={Colors.tint}/>
            <ThemedText style={styles.message}>{message}</ThemedText>
        </ThemedView>
    );
};

const styles = StyleSheet.create( {
    container: {
        flex: 1,
        justifyContent: 'center',
        alignItems: 'center',
    },
    message: {
        marginTop: 20,
        fontSize: 18,
        fontWeight: '500',
    },
} );

export default LoadingScreen;